:root {
    --max-width: 1200px;
}

@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}


/* Navbar GRID */

img {
    width: 100%;
}

ul {
    list-style: none;
    color: #fff;
}

.container {
    max-width: var(--max-width);
    margin: auto;
    padding: 0 2rem;
    overflow: hidden;
}

#navbar {
    background: black;
    position: sticky;
    top: 0;
    z-index: 1;
}

#navbar .container {
    display: grid;
    grid-template-columns: 1fr 7fr;
    padding: 0.8rem 0.8rem;
    align-items: center;
}

#navbar .logo {
    width: 20px;
}

#navbar ul {
    justify-self: end;
}

a {
    text-decoration: none;
}


/* Logo grid */

.grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 0.4rem;
    padding-top: 40px;
    margin-left: auto;
    margin-right: auto;
    max-width: 1200px;
}
  
  .grid::before {
    content: '';
    width: 0;
    padding-bottom: 100%;
    grid-row: 1 / 1;
    grid-column: 1 / 1;
  }

  .grid > *:first-child {
    grid-row: 1 / 1;
    grid-column: 1 / 1;
  }

  .item {
    overflow: hidden;
    position: relative;
    background-color: #383838;
    width: 100%;
    padding-bottom: 100%;
    height: 0;
  }

  .grid img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    min-width: 150%;
    min-height: 150%;
    max-width: 150%;
  }

  .mobile_video {
    display: none;
  }

/* teaser grid */

.teaser_2x1 {
    display: grid;
    grid-gap: 0.4rem;
    grid-template-columns: 1fr 1fr;
    aspect-ratio: 32/9.1;
}

.teaser_3x1 {
    display: grid;
    grid-gap: 0.4rem;
    grid-template-columns: 1fr 1fr 1fr;
    aspect-ratio: 48/9.2;
    padding: 0.2rem;
}

.teaser_3x1_9x16 {
    display: grid;
    grid-gap: 1.4rem;
    grid-template-columns: 1fr 1fr 1fr;
    aspect-ratio: 27/16;
    padding: 0.2rem;
    border-color: #1C1C1C;
}


.teaser__img {
    width: 100%; 
    height: 100%;
    object-fit: cover;
    border-color: #e4e4e4;
    border-width: 0.8px;
    border-style: solid;
    background-color: #1C1C1C;
}

.teaser__item--1 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
    padding-top: 0.4rem;
}

.teaser__item--2 {
    grid-column-start: 2;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 2;
    padding-top: 0.4rem;
}

.teaser__item--3 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
}

.teaser__item--6 {
    grid-column-start: 2;
    grid-column-end: 2;
    grid-row-start: 2;
    grid-row-end: 3;
}


/* VFX grid */

.vfx {
    display: grid;
    grid-template-columns: repeat(24, 1fr);
    grid-template-rows: repeat(3, 5vw);
    grid-gap: 0.4rem;
}

.vfx__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.vfx__item--1 {
    grid-column-start: 1;
    grid-column-end: 10;
    grid-row-start: 1;
    grid-row-end: 5;
}

.vfx__item--2 {
    grid-column-start: 10;
    grid-column-end: 26;
    grid-row-start: 1;
    grid-row-end: 5;
}

.vfx__item--3 {
    grid-column-start: 1;
    grid-column-end: 17;
}

.vfx__item--4 {
    grid-column-start: 17;
    grid-column-end: 26;
}

.vfx__item--5 {
    grid-column-start: 1;
    grid-column-end: 13;
}

.vfx__item--6 {
    grid-column-start: 13;
    grid-column-end: 26;
}

.vfx__item--7 {
    grid-column-start: 1;
    grid-column-end: 13;
}

.vfx__item--8 {
    grid-column-start: 13;
    grid-column-end: 26;
}


/* BTS grid */

  .gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: repeat(4, 5vw);
    grid-gap: 0.6rem;
}

.gallery__img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.gallery__item--1 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 4;
}

.gallery__item--2 {
    grid-column-start: 2;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 7;
}

.gallery__item--3 {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 4;
    grid-row-end: 7;
}

.gallery__item--4 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 7;
    grid-row-end: 10;
}

.gallery__item--5 {
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 7;
    grid-row-end: 9;
}



/* Arrows */

a {
    color: rgb(192, 192, 192);
}

.text-center {
    text-align: center;
    padding-top: 5px;
    padding-bottom: 40px;
}


/* Copy */

h1 { /* Email */
    font-size: 1rem;
    font-weight: 300;
    color: #e4e4e4;
    max-width: 1200px;
}

h2 { /* HEADINGS */
    font-family: 'Nunito Light', sans-serif;
    font-size: 1rem;
    font-weight: 300;
    line-height: 4;
    justify-content: center;
}

h3 { /* CLIENTS */
    font-family: 'Nunito Light', sans-serif;
    font-size: 1rem;
    font-weight: 300;
    line-height: 1;
}

h4 {
    max-width: 1200px;
    color: rgb(192, 192, 192);
    text-align: left;
}

h5 {
    color: white;
    font-style: bold;
}

li {
    max-width: 1200px;
    color: rgb(192, 192, 192);
    text-align: left;
    text-align: justify;
}

h6 {
    font-family: 'Nunito Light', sans-serif;
    font-size: 1rem;
    font-weight: 300;
    line-height: 4;
    text-align: justify;
}

body {
    font-family: 'Nunito ExtraLight 200', sans-serif;
    font-weight: 100;
    font-size: 1.1rem;
    color: rgb(228, 228, 228);
    line-height: 1.5;
    list-style: none;
    background-color: rgb(28, 28, 28);
}

/* Reels */

iframe {
    width: 100vw; 
    height: 56.25vw; /* 100/56.25 = 560/315 = 1.778 */
    background:black;
    max-width: 1200px;
    max-height: 675px;
}


/* Section Copy */

section {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-left: 40px;
    padding-right: 40px;
}

@-moz-document url-prefix() {
    h3 { /* CLIENTS */
        padding-top: 40px;
    }
  }

  /* LinkedIn /*
  <a href="https://www.linkedin.com/in/krishawes" target="_blank">here</a></b>.